Create refund
curl --request POST \
--url https://api.quentli.com/v1/refunds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": {
"paymentId": "p_1234567890abcdefghij",
"amount": 150000,
"customRefundReason": null
}
}
'import requests
url = "https://api.quentli.com/v1/refunds"
payload = { "input": {
"paymentId": "p_1234567890abcdefghij",
"amount": 150000,
"customRefundReason": None
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: {paymentId: 'p_1234567890abcdefghij', amount: 150000, customRefundReason: null}
})
};
fetch('https://api.quentli.com/v1/refunds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payment": {
"id": "p_1234567890abcdefghij",
"createdAt": "2025-01-15T18:30:00.000Z",
"updatedAt": "2025-01-15T18:30:00.000Z",
"amount": 150000,
"currency": "MXN",
"description": "Colegiatura Enero 2025",
"type": "CARD",
"status": "COMPLETE",
"isCompleted": true,
"paymentTime": "2025-01-15T18:30:00.000Z",
"customerId": "cus_1234567890abcdefghij",
"paymentIntentId": null,
"organizationId": "org_1234567890abcdefghij",
"skipTaxInvoice": false,
"monthlyInstallments": null,
"processor": null,
"processorFee": null,
"processorFeeTax": null,
"installmentsFee": null,
"installmentsFeeTax": null,
"externalPaymentTypeId": null,
"sessionId": null,
"paymentMethodId": "pm_1234567890abcdefghij",
"metadata": null,
"meta": null
},
"refund": {
"id": "ref_1234567890abcdefghij",
"createdAt": "2025-01-15T18:30:00.000Z",
"updatedAt": "2025-01-15T18:30:00.000Z",
"amount": 150000,
"currency": "MXN",
"status": "REQUESTED",
"statusUpdatedAt": "2025-01-15T18:30:00.000Z",
"paymentId": "p_1234567890abcdefghij",
"madeById": "u_1234567890abcdefghij",
"payoutId": null,
"customRefundReason": null
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}Payments
Create refund
Refunds a completed payment, fully or partially.
POST
/
v1
/
refunds
Create refund
Authorizations
Organization API key using Authorization: Bearer sk_....
Body
application/json
Request body for creating a refund.
Show child attributes
Show child attributes
Was this page helpful?